dvmstat(1m)

NAME
dvmstat - vmstat by PID/name/command. Uses DTrace.

SYNOPSIS
dvmstat { -p PID | -n name | command }

DESCRIPTION
This program provides vmstat like data for one particular PID, a process name, or when running a command. It prints statistics every second. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OPTIONS

-p PID
    examine this Process ID

-n name
    examine processes with this name

EXAMPLES

examine PID 1871,
    # dvmstat -p 1871

examine processes called "tar",
    # dvmstat -n tar

run and examine "df -h",
    # dvmstat df -h

FIELDS

re  page reclaims, Kbytes

maj major faults, Kbytes

mf  minor faults, Kbytes

fr  page frees, Kbytes

epi executable page ins, Kbytes

epo executable page outs, Kbytes

api anonymous page ins, Kbytes

apo anonymous page outs, Kbytes

fpi filesystem page ins, Kbytes

fpo filesystem page outs, Kbytes

sy  system calls, number

NOTES
Most of the statistics are in units of kilobytes, unlike the original vmstat command which sometimes uses pages.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
dvmstat will run until Ctrl-C is hit, or the command it is examining ends.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M), vmstat(1M)